<script setup>
import { initCollapses, initDropdowns } from "flowbite";

onMounted(() => {
  initCollapses();
  initDropdowns();

  class dropDownMenu {
    constructor(targetEl, trigerEl) {
      this.targetEl = targetEl;
      this.trigerEl = trigerEl;
      this.init();
    }

    init() {
      this.trigerEl.addEventListener("click", () => {
        this.targetEl.classList.toggle("hidden");
      });
      document.addEventListener("click", (ev) => {
        let clickedEl = ev.target;
        if (clickedEl != this.trigerEl) {
          this.targetEl.classList.add("hidden");
        }
      });
    }
  }

  const dropdownMenuList = document.querySelectorAll("[data-menu-toggle]");
  dropdownMenuList.forEach(function (trigerEl) {
    let targetEl = document.getElementById(
      trigerEl.getAttribute("data-menu-toggle")
    );
    new dropDownMenu(targetEl, trigerEl);
  });
});
</script>
<template>
  <nav class="bg-light-50 py-4 shadow-lg fixed w-full z-20 top-0 left-0">
    <div
      class="container flex flex-wrap items-center justify-between mx-auto px-4"
    >
      <img src="/img/logo.svg" class="h-9 mr-3" alt="Smile Logo" />
      <div class="flex items-center md:order-2">
        <!-- Dropdown notification button -->
        <button
          id="dropdownNotificationButton"
          data-dropdown-toggle="dropdownNotification"
          data-dropdown-offset-distance="28"
          class="inline-flex items-center text-sm font-medium text-center text-dark-500 hover:text-dark-950 focus:outline-none"
          type="button"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke-width="1.5"
            stroke="currentColor"
            class="w-6 h-6"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              d="M14.857 17.082a23.848 23.848 0 005.454-1.31A8.967 8.967 0 0118 9.75v-.7V9A6 6 0 006 9v.75a8.967 8.967 0 01-2.312 6.022c1.733.64 3.56 1.085 5.455 1.31m5.714 0a24.255 24.255 0 01-5.714 0m5.714 0a3 3 0 11-5.714 0"
            />
          </svg>

          <div class="relative flex">
            <div
              class="relative inline-flex w-3 h-3 bg-secondary-500 border-2 border-light-50 rounded-full -top-2 right-3"
            ></div>
          </div>
        </button>
        <!-- Dropdown notification menu -->
        <div
          id="dropdownNotification"
          class="z-20 hidden w-full max-w-sm bg-light-50 divide-y divide-light-100 rounded-lg shadow"
          aria-labelledby="dropdownNotificationButton"
        >
          <div
            class="block px-4 py-2 font-medium text-center text-dark-900 rounded-t-lg bg-gray-50"
          >
            Notifications
          </div>
          <!-- List Notification -->
          <a
            href="#"
            class="flex px-4 py-3 hover:bg-gray-100 divide-y divide-light-100"
          >
            <div class="w-full pl-3">
              <div class="text-dark-500 text-sm mb-1.5">
                Pengumuman wisuda angkatan XIII tahun 2023
              </div>
              <p class="text-xs text-primary-600">25 Juni 2023</p>
            </div>
          </a>
          <a
            href="#"
            class="flex px-4 py-3 hover:bg-gray-100 divide-y divide-light-100"
          >
            <div class="w-full pl-3">
              <div class="text-dark-500 text-sm mb-1.5">
                Pengumuman ujian akhir semeter genap
              </div>
              <p class="text-xs text-primary-600">25 Juni 2023</p>
            </div>
          </a>
          <!-- Button view all -->
          <a
            href="#"
            class="block py-2 text-sm font-medium text-center text-dark-900 rounded-b-lg bg-gray-50 hover:bg-gray-100"
          >
            <div class="inline-flex items-center">
              <svg
                class="w-4 h-4 mr-2 text-dark-500"
                aria-hidden="true"
                xmlns="http://www.w3.org/2000/svg"
                fill="currentColor"
                viewBox="0 0 20 14"
              >
                <path
                  d="M10 0C4.612 0 0 5.336 0 7c0 1.742 3.546 7 10 7 6.454 0 10-5.258 10-7 0-1.664-4.612-7-10-7Zm0 10a3 3 0 1 1 0-6 3 3 0 0 1 0 6Z"
                />
              </svg>
              View all
            </div>
          </a>
        </div>

        <!-- Dropdown user menu button -->
        <button
          type="button"
          class="flex mr-3 text-sm bg-primary-700 rounded-full shadow-lg md:mr-0 ring-4 ring-light-100 focus:ring-primary-300"
          id="user-menu-button"
          aria-expanded="false"
          data-dropdown-toggle="user-dropdown"
          data-dropdown-placement="bottom"
          data-dropdown-offset-distance="25"
        >
          <span class="sr-only">Open user menu</span>
          <img
            class="w-8 h-8 rounded-full"
            src="/img/user.svg"
            alt="user photo"
          />
        </button>
        <!-- Dropdown user menu -->
        <div
          class="z-50 hidden my-4 text-base list-none bg-white divide-y divide-gray-100 rounded-lg shadow dark:bg-gray-700 dark:divide-gray-600"
          id="user-dropdown"
        >
          <div class="px-4 py-3">
            <span class="block text-sm text-gray-900 dark:text-white"
              >Dofir Fauzi</span
            >
            <span
              class="block text-sm text-gray-500 truncate dark:text-gray-400"
              >dofirfauzi@tazkia.ac.id</span
            >
          </div>
          <ul class="py-2" aria-labelledby="user-menu-button">
            <li>
              <a
                href="#"
                class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                >Sign out</a
              >
            </li>
          </ul>
        </div>
        <!-- Toggle navbar menu -->
        <button
          data-collapse-toggle="navbar-user"
          type="button"
          class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-dark-500 rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-dark-200"
          aria-controls="navbar-user"
          aria-expanded="false"
        >
          <span class="sr-only">Open main menu</span>
          <svg
            class="w-5 h-5"
            aria-hidden="true"
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 17 14"
          >
            <path
              stroke="currentColor"
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M1 1h15M1 7h15M1 13h15"
            />
          </svg>
        </button>
      </div>
      <!-- Nav Menu -->
      <div
        class="justify-between hidden w-full md:flex md:w-auto md:order-1 md:px-4 font-Inter"
        id="navbar-user"
      >
        <ul class="flex flex-col md:flex-row md:space-x-6">
          <li>
            <NuxtLink
              to="/dashboard"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Beranda</NuxtLink
            >
          </li>
          <li>
            <NuxtLink
              to="/jadwal"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Jadwal</NuxtLink
            >
          </li>
          <li
            class="dropdown-menu rounded-lg bg-gray-50 md:bg-light-50 mt-3 md:mt-0"
          >
            <button
              id="dropdownNavbarLink"
              data-menu-toggle="dropdownAkademik"
              class="flex items-center justify-between w-full py-2 pl-3 pr-4 text-dark-400 md:hover:text-dark-900 md:p-0"
            >
              Akademik
              <svg
                class="w-2.5 h-2.5 ml-2.5"
                aria-hidden="true"
                xmlns="http://www.w3.org/2000/svg"
                fill="none"
                viewBox="0 0 10 6"
              >
                <path
                  stroke="currentColor"
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  stroke-width="2"
                  d="m1 1 4 4 4-4"
                />
              </svg>
            </button>
            <!-- Dropdown menu -->
            <div
              id="dropdownAkademik"
              class="z-10 relative md:absolute md:top-[76px] hidden font-normal md:bg-white divide-y md:divide-gray-100 rounded-lg md:shadow"
            >
              <ul
                class="py-2 text-dark-400"
                aria-labelledby="dropdownLargeButton"
              >
                <li>
                  <NuxtLink to="krs" class="block px-4 py-2 hover:bg-gray-100"
                    >kartu Rencana Studi</NuxtLink
                  >
                </li>
                <li>
                  <NuxtLink to="khs" class="block px-4 py-2 hover:bg-gray-100"
                    >Kartu Hasil Studi</NuxtLink
                  >
                </li>
              </ul>
            </div>
          </li>
          <li>
            <NuxtLink
              to="/keuangan"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Keuangan</NuxtLink
            >
          </li>
          <li>
            <NuxtLink
              to="/tugas-akhir"
              class="block py-2 pl-3 pr-4 rounded-lg bg-gray-50 md:bg-light-50 text-dark-400 md:hover:text-dark-900 mt-3 md:mt-0 md:p-0"
              >Tugas Akhir</NuxtLink
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<style>
#navbar-user .router-link-active {
  @apply text-light-50 md:text-gray-900 bg-primary-700 md:bg-transparent;
}

#navbar-user .dropdown-menu .router-link-active {
  @apply text-dark-400 bg-gray-100;
}
</style>
